## pybind11-json 0.2.7

=== CMakeLists.txt ===
############################################################################
# Copyright (c) 2019, Martin Renou                                         #
#                                                                          #
# Distributed under the terms of the BSD 3-Clause License.                 #
#                                                                          #
# The full license is in the file LICENSE, distributed with this software. #
############################################################################

cmake_minimum_required(VERSION 3.4.3)
project(pybind11_json)

set(PYBIND11_JSON_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
set(${PROJECT_NAME}_VERSION_MAJOR 0)
set(${PROJECT_NAME}_VERSION_MINOR 2)
set(${PROJECT_NAME}_VERSION_PATCH 7)
set(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH})

################
# Dependencies #
################

set(pybind11_REQUIRED_VERSION 2.2.4)
set(nlohmann_json_REQUIRED_VERSION 3.2.0)

if (NOT TARGET pybind11)
find_package(pybind11 ${pybind11_REQUIRED_VERSION} REQUIRED)
endif()
if (NOT TARGET nlohmann_json)
find_package(nlohmann_json ${nlohmann_json_REQUIRED_VERSION} REQUIRED)
endif()

##########
# Target #
##########

include(GNUInstallDirs)

set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib; ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")

set(PYBIND11_JSON_HEADERS
    include/pybind11_json/pybind11_json.hpp
)

add_library(${PROJECT_NAME} INTERFACE)

target_include_directories(${PROJECT_NAME}
                           INTERFACE
                           ${PYTHON_INCLUDE_DIRS}
                           $<BUILD_INTERFACE:${PYBIND11_JSON_INCLUDE_DIR}>
                           $<INSTALL_INTERFACE:include>)

# The PUBLIC_HEADER property can be set for an INTERFACE library
# as of cmake 3.15
if(NOT (CMAKE_VERSION VERSION_LESS 3.15))  # CMake >= 3.15
set_target_properties(${PROJECT_NAME}
        PROPERTIES
        PUBLIC_HEADER "${PYBIND11_JSON_HEADERS}")
endif()

#########
# Tests #
#########

OPTION(BUILD_TESTS "pybind11_json test suite" OFF)
OPTION(DOWNLOAD_GTEST "build gtest from downloaded sources" OFF)

if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
    set(BUILD_TESTS ON)
endif()

if(BUILD_TESTS)
    add_subdirectory(test)
endif()

################
# Installation #
################

include(CMakePackageConfigHelpers)

set(PYBIND11_JSON_CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/cmake/${PROJECT_NAME}" CACHE STRING "install path for pybind11_jsonConfig.cmake")

# Install pybind11_json
if(CMAKE_VERSION VERSION_LESS 3.15)  # CMake < 3.15
install(TARGETS ${PROJECT_NAME}
        EXPORT ${PROJECT_NAME}-targets)
else()
install(TARGETS ${PROJECT_NAME}
        EXPORT ${PROJECT_NAME}-targets
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

# Makes the project importable from the build directory
export(EXPORT ${PROJECT_NAME}-targets
       FILE "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Targets.cmake")

if(CMAKE_VERSION VERSION_LESS 3.15)  # CMake < 3.15
install(FILES ${PYBIND11_JSON_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

# Configure 'pybind11_jsonConfig.cmake' for a build tree
set(PYBIND11_JSON_CONFIG_CODE "####### Expanded from \@PYBIND11_JSON_CONFIG_CODE\@ #######\n")
set(PYBIND11_JSON_CONFIG_CODE "${PYBIND11_JSON_CONFIG_CODE}set(CMAKE_MODULE_PATH \"${CMAKE_CURRENT_SOURCE_DIR}/cmake;\${CMAKE_MODULE_PATH}\")\n")
set(PYBIND11_JSON_CONFIG_CODE "${PYBIND11_JSON_CONFIG_CODE}##################################################")
configure_package_config_file(${PROJECT_NAME}Config.cmake.in
                              "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
                              INSTALL_DESTINATION ${PROJECT_BINARY_DIR})

# Configure 'pybind11_jsonConfig.cmake' for an install tree
set(PYBIND11_JSON_CONFIG_CODE "")
configure_package_config_file(${PROJECT_NAME}Config.cmake.in
                              "${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/${PROJECT_NAME}Config.cmake"
                              INSTALL_DESTINATION ${PYBIND11_JSON_CMAKECONFIG_INSTALL_DIR})

# ARCH_INDEPENDENT feature was introduced in cmake 3.14
if (${CMAKE_VERSION} VERSION_LESS "3.14.0")
  write_basic_package_version_file(
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
      VERSION ${${PROJECT_NAME}_VERSION}
      COMPATIBILITY AnyNewerVersion)
else ()
  write_basic_package_version_file(
      ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
      VERSION ${${PROJECT_NAME}_VERSION}
      COMPATIBILITY AnyNewerVersion
      ARCH_INDEPENDENT)
endif ()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/${PROJECT_NAME}Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
        DESTINATION ${PYBIND11_JSON_CMAKECONFIG_INSTALL_DIR})
install(EXPORT ${PROJECT_NAME}-targets
        FILE ${PROJECT_NAME}Targets.cmake
        DESTINATION ${PYBIND11_JSON_CMAKECONFIG_INSTALL_DIR})

=== debian/changelog ===
pybind11-json (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7
  * Drop arch-independent install patch, upstreamed
  * Version cmake dependency for use of arch_independent

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 12:35:50 +0000

pybind11-json (0.2.6-3) unstable; urgency=medium

  * Add dependency on default libpython3.x-dev, since the cmake files embed
    the include path for the default python.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Nov 2020 16:03:07 +0000

pybind11-json (0.2.6-2) unstable; urgency=medium

  * Set ARCH_INDEPENDENT in CMakeLists so that downstream builds don't fail
    for non-64bit platforms

 -- Gordon Ball <gordon@chronitis.net>  Thu, 29 Oct 2020 19:08:35 +0000

pybind11-json (0.2.6-1) unstable; urgency=medium

  * Initial release. (Closes: #973040)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 27 Oct 2020 19:39:45 +0000

=== debian/control ===
Source: pybind11-json
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.14~),
               pybind11-dev,
               nlohmann-json3-dev,
               python3-dev,
               googletest <!nocheck>,
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/pybind11/pybind11_json
Vcs-Git: https://salsa.debian.org/science-team/pybind11-json.git
Vcs-Browser: https://salsa.debian.org/science-team/pybind11-json
Rules-Requires-Root: no

Package: pybind11-json-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, pybind11-dev, nlohmann-json3-dev, ${python3:lib}
Description: Bridge between nlohmann::json and pybind11 (headers)
 Contains C++ headers for automatically converting between nlohmann::json
 and py::object in either direction.

=== debian/watch ===
version=4
https://github.com/pybind/pybind11_json/tags .*/archive/v?([\d\.-]+)\.tar\.gz

## pybind11-json 0.2.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(PYBIND11_JSON_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
 set(${PROJECT_NAME}_VERSION_MAJOR 0)
 set(${PROJECT_NAME}_VERSION_MINOR 2)
-set(${PROJECT_NAME}_VERSION_PATCH 7)
+set(${PROJECT_NAME}_VERSION_PATCH 12)
 set(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH})
 
 ################
@@ -22,7 +22,7 @@
 set(pybind11_REQUIRED_VERSION 2.2.4)
 set(nlohmann_json_REQUIRED_VERSION 3.2.0)
 
-if (NOT TARGET pybind11)
+if (NOT TARGET pybind11::headers)
 find_package(pybind11 ${pybind11_REQUIRED_VERSION} REQUIRED)
 endif()
 if (NOT TARGET nlohmann_json)

=== debian/changelog ===
pybind11-json (0.2.12-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Cherry-pick upstream commit to fix FTBFS with Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Feb 2022 07:03:35 +0000

pybind11-json (0.2.12-1) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/control: Fix typo in Homepage

  [ Gordon Ball ]
  * New upstream version 0.2.12

 -- Gordon Ball <gordon@chronitis.net>  Mon, 17 Jan 2022 16:38:47 +0000

pybind11-json (0.2.11-1ubuntu1) jammy; urgency=medium

  * Cherry-pick upstream commit to fix FTBFS with Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:57:54 +0000

pybind11-json (0.2.11-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:18:11 +0000

pybind11-json (0.2.11-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * New upstream version 0.2.11

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 19:44:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pybind11-json
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 3.14~),
@@ -10,7 +11,7 @@
                googletest <!nocheck>,
 Standards-Version: 4.5.0
 Section: libs
-Homepage: https://github.com/pybind11/pybind11_json
+Homepage: https://github.com/pybind/pybind11_json
 Vcs-Git: https://salsa.debian.org/science-team/pybind11-json.git
 Vcs-Browser: https://salsa.debian.org/science-team/pybind11-json
 Rules-Requires-Root: no

## pybind11-json 0.2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set(PYBIND11_JSON_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
 set(${PROJECT_NAME}_VERSION_MAJOR 0)
 set(${PROJECT_NAME}_VERSION_MINOR 2)
-set(${PROJECT_NAME}_VERSION_PATCH 12)
+set(${PROJECT_NAME}_VERSION_PATCH 13)
 set(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH})
 
 ################

=== test/CMakeLists.txt ===
############################################################################
# Copyright (c) 2019, Martin Renou                                         #
#                                                                          #
# Distributed under the terms of the BSD 3-Clause License.                 #
#                                                                          #
# The full license is in the file LICENSE, distributed with this software. #
############################################################################

cmake_minimum_required(VERSION 3.4.3)

if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    project(pybind11_json-test)

    enable_testing()

    find_package(pybind11_json REQUIRED CONFIG)
endif ()

message(STATUS "Forcing tests build type to Release")
set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)

include(CheckCXXCompilerFlag)

string(TOUPPER "${CMAKE_BUILD_TYPE}" U_CMAKE_BUILD_TYPE)

if(CMAKE_CXX_COMPILER_ID MATCHES Clang OR CMAKE_CXX_COMPILER_ID MATCHES GNU OR CMAKE_CXX_COMPILER_ID MATCHES Intel)
    add_compile_options(-Wunused-parameter -Wextra -Wreorder -Wconversion -Wsign-conversion)

    CHECK_CXX_COMPILER_FLAG(-march=native HAS_MARCH_NATIVE)
    if (HAS_MARCH_NATIVE)
        add_compile_options(-march=native)
    endif()
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES MSVC)
    add_compile_options(/EHsc /MP /bigobj)
    set(CMAKE_EXE_LINKER_FLAGS /MANIFEST:NO)
endif()

if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
    if(DOWNLOAD_GTEST)
        # Download and unpack googletest at configure time
        configure_file(downloadGTest.cmake.in googletest-download/CMakeLists.txt)
    else()
        # Copy local source of googletest at configure time
        configure_file(copyGTest.cmake.in googletest-download/CMakeLists.txt)
    endif()
    execute_process(COMMAND ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}" .
                    RESULT_VARIABLE result
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download )
    if(result)
        message(FATAL_ERROR "CMake step for googletest failed: ${result}")
    endif()
    execute_process(COMMAND ${CMAKE_COMMAND} --build .
                    RESULT_VARIABLE result
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/googletest-download )
    if(result)
        message(FATAL_ERROR "Build step for googletest failed: ${result}")
    endif()

    # Add googletest directly to our build. This defines
    # the gtest and gtest_main targets.
    add_subdirectory(${CMAKE_CURRENT_BINARY_DIR}/googletest-src
                     ${CMAKE_CURRENT_BINARY_DIR}/googletest-build EXCLUDE_FROM_ALL)

    set(GTEST_INCLUDE_DIRS "${gtest_SOURCE_DIR}/include")
    set(GTEST_BOTH_LIBRARIES  gtest_main gtest)
else()
    find_package(GTest REQUIRED)
endif()

include_directories(${GTEST_INCLUDE_DIRS} SYSTEM)

set(PYBIND11_JSON_TESTS
    test_pybind11_json.cpp
)

add_executable(test_pybind11_json ${PYBIND11_JSON_TESTS})
if(DOWNLOAD_GTEST OR GTEST_SRC_DIR)
    add_dependencies(test_pybind11_json gtest_main)
endif()

include_directories(${PYTHON_INCLUDE_DIRS})
target_link_libraries(test_pybind11_json ${PYTHON_LIBRARIES} ${GTEST_BOTH_LIBRARIES}
                      pybind11::embed nlohmann_json::nlohmann_json)
target_include_directories(test_pybind11_json PRIVATE ${PYBIND11_JSON_INCLUDE_DIR})

add_custom_target(tests COMMAND test_pybind11_json DEPENDS test_pybind11_json)

=== debian/changelog ===
pybind11-json (0.2.13-5) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4. Closes: #1113432.
  * d/control: Drop <!nocheck> from googletest. Closes: #1116841.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 23:20:00 +0200

pybind11-json (0.2.13-4) unstable; urgency=medium

  * Rebuild with Python 3.13 as default

 -- Graham Inggs <ginggs@debian.org>  Tue, 07 Jan 2025 13:10:03 +0000

pybind11-json (0.2.13-3) unstable; urgency=medium

  * Rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@debian.org>  Mon, 24 Jun 2024 15:13:58 +0000

pybind11-json (0.2.13-2) unstable; urgency=medium

  * Rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Jan 2023 08:26:59 +0000

pybind11-json (0.2.13-1) unstable; urgency=medium

  * New upstream version 0.2.13
  * Drop python 3.10 compatibility backport

 -- Gordon Ball <gordon@chronitis.net>  Thu, 25 Aug 2022 23:24:43 +0200

pybind11-json (0.2.12-2) unstable; urgency=medium

  * Backport upstream fix for python 3.10 compatibility (via patch already
    applied in 0.2.12-1ubuntu1)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 28 Mar 2022 15:23:22 +0000

=== debian/control ===
Source: pybind11-json
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.14~),
               pybind11-dev,
               nlohmann-json3-dev,
               python3-dev,
               googletest,
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/pybind/pybind11_json
Vcs-Git: https://salsa.debian.org/science-team/pybind11-json.git
Vcs-Browser: https://salsa.debian.org/science-team/pybind11-json

Package: pybind11-json-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, pybind11-dev, nlohmann-json3-dev, ${python3:lib}
Description: Bridge between nlohmann::json and pybind11 (headers)
 Contains C++ headers for automatically converting between nlohmann::json
 and py::object in either direction.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DGTEST_SRC_DIR=/usr/src/googletest

override_dh_auto_test:
	obj-*/test/test_pybind11_json

override_dh_gencontrol:
	echo "python3:lib=lib$(shell py3versions -d)-dev" >> debian/pybind11-json-dev.substvars
	dh_gencontrol

## pybind11-json 0.2.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,13 @@
 # The full license is in the file LICENSE, distributed with this software. #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.4.3)
+cmake_minimum_required(VERSION 3.5)
 project(pybind11_json)
 
 set(PYBIND11_JSON_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
 set(${PROJECT_NAME}_VERSION_MAJOR 0)
 set(${PROJECT_NAME}_VERSION_MINOR 2)
-set(${PROJECT_NAME}_VERSION_PATCH 13)
+set(${PROJECT_NAME}_VERSION_PATCH 15)
 set(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH})
 
 ################

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # The full license is in the file LICENSE, distributed with this software. #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.4.3)
+cmake_minimum_required(VERSION 3.5)
 
 if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
     project(pybind11_json-test)

=== debian/changelog ===
pybind11-json (0.2.15-1) unstable; urgency=medium

  * Non-maintainer upload by request from Gordon. Closes: #1119681
  * New upstream release.
  * debian/control:
   - Build-Depends on nlohmann-json3.12-dev instead of nlohmann-json3-dev
   - pybind11-json-dev:
     + Depends on nlohmann-json3.12-dev instead of nlohmann-json3-dev

 -- Bill Allombert <ballombe@debian.org>  Sat, 01 Nov 2025 10:58:51 +0100

=== debian/control ===
Source: pybind11-json
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.14~),
               pybind11-dev,
               nlohmann-json3.12-dev,
               python3-dev,
               googletest <!nocheck>,
Standards-Version: 4.5.0
Section: libs
Homepage: https://github.com/pybind/pybind11_json
Vcs-Git: https://salsa.debian.org/science-team/pybind11-json.git
Vcs-Browser: https://salsa.debian.org/science-team/pybind11-json
Rules-Requires-Root: no

Package: pybind11-json-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, pybind11-dev, nlohmann-json3.12-dev, ${python3:lib}
Description: Bridge between nlohmann::json and pybind11 (headers)
 Contains C++ headers for automatically converting between nlohmann::json
 and py::object in either direction.

=== debian/watch ===
version=4
https://github.com/pybind/pybind11_json/tags .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
